This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260009 - Create a better query builder for Custom Search
Create a better query builder for Custom Search
Status: NEW
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
: 1206186 1211720 1218845 1254930 1258000 1264786 (view as bug list)
Depends On: 1207506
Blocks: 1136014 UI-Modernization
  Show dependency treegraph
 
Reported: 2015-09-04 03:13 EDT by Jason McDonald
Modified: 2017-10-10 03:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2015-09-04 03:13:37 EDT
Over the years, users have reported a variety of issues with counter-intuitive behaviour of Bugzilla's Advanced Search page and particularly with the Custom Search portion of that page.  As part of the UI modernization effort, we should improve the Customer Search UI to be easier to use and to avoid the counter-intuitive cases.

One of the more common counter-intuitive cases is where users want to find bugs where one of the multi-value fields is "empty" (i.e. bugs that have no instances of that field).  To make this work the user has to formulate a search that says "Not : Alias : is not empty".  Bug 1254930 is one of several reports of this kind of issue.

Another issue is that the Custom Search criteria presents the same set of matching criteria for all fields types, even though some may not be applicable to every field type.

There are probably other issues too, and we should collect them here rather than filing each one separately so that we can address search problems in one go instead of doing it piecemeal.
Comment 1 Jason McDonald 2015-09-04 03:22:58 EDT
*** Bug 1254930 has been marked as a duplicate of this bug. ***
Comment 2 Jason McDonald 2015-09-04 03:28:19 EDT
*** Bug 1211720 has been marked as a duplicate of this bug. ***
Comment 3 Jason McDonald 2015-09-04 03:29:48 EDT
*** Bug 1218845 has been marked as a duplicate of this bug. ***
Comment 4 Jason McDonald 2015-09-04 03:30:40 EDT
*** Bug 1206186 has been marked as a duplicate of this bug. ***
Comment 5 Jeff Fearn 2015-09-14 18:48:40 EDT
*** Bug 1258000 has been marked as a duplicate of this bug. ***
Comment 6 Jason McDonald 2015-09-21 04:57:51 EDT
*** Bug 1264786 has been marked as a duplicate of this bug. ***
Comment 8 Jeff Fearn 2016-01-13 01:11:51 EST
DBIx-SearchBuilder is used in RT4 and is worth reviewing. 

http://search.cpan.org/~alexmv/DBIx-SearchBuilder-1.66/lib/DBIx/SearchBuilder.pm

Note You need to log in before you can comment on or make changes to this bug.